unity8-dash on the phone has unreasonable CPU usage when system is idle with screen off

Bug #1339883 reported by Alexandros Frantzis on 2014-07-09
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
The Ubuntu Power Consumption Project
Undecided
Unassigned
qtmir (Ubuntu)
Critical
Michael Zanetti
unity8 (Ubuntu)
Critical
Michael Zanetti

Bug Description

I am attaching tty recordings of htop running on N4 with the latest image. This is with screen off, no apps running, system has settled after boot. Three recordings of the major CPU usage offenders are included:

unity8
smartscopesproxy
mpdecision (probably not directly related to unity8 but adding for completeness, please point me to a better place to report this if you know)

To replay the tty recordings use "ttyplay file.tty" (from ubuntu package "ttyrec")

Related branches

Alexandros Frantzis (afrantzis) wrote :
Alexandros Frantzis (afrantzis) wrote :
Alexandros Frantzis (afrantzis) wrote :

Still an issue with unity-dash.

Michał Sawicz (saviq) wrote :

This is two-fold now, the dash should not use CPU by itself, but it should also get suspended when screen off.

Changed in unity8:
status: New → Triaged
assignee: nobody → Unity UI Team (unity-ui-team)
tags: added: rtm14
Daniel van Vugt (vanvugt) wrote :

Confirmed...

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 3758 phablet 20 0 494596 143908 50800 S 2.9 7.7 1:07.44 unity8-dash
 9562 root 20 0 6224 1224 792 R 2.9 0.1 0:01.06 top
 1070 root 20 0 9708 1260 796 S 1.6 0.1 0:11.33 systemd-ude+
 1155 root 0 -20 7572 552 396 S 1.3 0.0 0:18.13 mpdecision
 1153 9999 20 0 10904 828 488 S 1.0 0.0 0:08.52 sensors.qcom
 3512 phablet 20 0 37864 3076 2488 S 1.0 0.2 0:02.40 indicator-p+
...

current build number: 202
device name: mako
channel: ubuntu-touch/devel-proposed
alias: ubuntu-touch/utopic-proposed
last update: 2014-08-21 17:00:59
version version: 202
version ubuntu: 20140821
version device: 20140811.1

tags: added: performance
kevin gunn (kgunn72) on 2014-09-02
tags: added: touch-2014-10-30
Michał Sawicz (saviq) on 2014-09-03
Changed in unity8 (Ubuntu):
assignee: nobody → Unity UI Team (unity-ui-team)
importance: Undecided → High
status: New → Triaged
kevin gunn (kgunn72) on 2014-09-04
Changed in unity8:
assignee: Unity UI Team (unity-ui-team) → Michael Zanetti (mzanetti)
Changed in unity8 (Ubuntu):
assignee: Unity UI Team (unity-ui-team) → Michael Zanetti (mzanetti)
Michał Sawicz (saviq) on 2014-09-09
no longer affects: unity8
summary: - unity8 on the phone has unreasonable CPU usage when system is idle with
- screen off
+ unity8-dash on the phone has unreasonable CPU usage when system is idle
+ with screen off
Changed in unity8 (Ubuntu):
status: Triaged → In Progress
Changed in qtmir:
status: New → In Progress
assignee: nobody → Michael Zanetti (mzanetti)
Olli Ries (ories) on 2014-09-16
Changed in unity8 (Ubuntu):
importance: High → Critical
Changed in qtmir:
importance: Undecided → Critical
kevin gunn (kgunn72) on 2014-09-16
tags: added: touch-2014-09-25
removed: touch-2014-10-30
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.00+14.10.20140918-0ubuntu1

---------------
unity8 (8.00+14.10.20140918-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * Focus first app if there are already some running when we're
    starting up (LP: #1339883)

  [ Michał Sawicz ]
  * Don't play empty urls in Notification.qml

  [ Daniel d'Andrada ]
  * Improve tst_Shell
  * Build without any warnings
  * Make tst_Card work from outside the source tree (LP:1359201) (LP:
    #1359201)
 -- Ubuntu daily release <email address hidden> Thu, 18 Sep 2014 09:44:06 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Changed in unity8 (Ubuntu):
status: Fix Released → In Progress
kevin gunn (kgunn72) on 2014-09-25
tags: added: touch-2014-10-09
removed: touch-2014-09-25
kevin gunn (kgunn72) on 2014-09-29
tags: added: touch-2014-10-30
removed: touch-2014-10-09
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.00+14.10.20141006-0ubuntu1

---------------
unity8 (8.00+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Tweak card header to match the spec
  * Add preview image slideshow (LP: #1351537)

  [ Michał Sawicz ]
  * Cache more things in memory, so flicking scopes should be faster
    (LP: #1336724)
  * Tweak card header to match the spec
  * Save texture memory by limiting sourceSize (LP: #1338430)

  [ Ying-Chun Liu ]
  * Add attributes to Preview. (LP: #1282460)

  [ Albert Astals ]
  * Update pot
  * Cache more things in memory, so flicking scopes should be faster
    (LP: #1336724)
  * Save texture memory by limiting sourceSize (LP: #1338430)
  * Clip the settings list
  * Fix unlocking from the left again
  * Add wait_ makes tests more reliable

  [ Michael Zanetti ]
  * fix fading out the launcher instead of sliding it out on left-edge
    minimizing an app.
  * Make the DashCommunicator async and more flexible to handle a
    lifecycle-suspended dash (LP: #1339883)

  [ Michael Terry ]
  * Retry unlock-device script if it fails, as there is always a risk of
    a small race with boot-up. (LP: #1370644)
  * Add pull-to-refresh functionality to scopes. (LP: #1368336)

  [ CI bot ]
  * Resync trunk
 -- Ubuntu daily release <email address hidden> Mon, 06 Oct 2014 08:03:23 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Changed in qtmir:
status: In Progress → Fix Released
Changed in ubuntu-power-consumption:
status: New → Fix Released
Michał Sawicz (saviq) on 2017-03-13
affects: qtmir → qtmir (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers